%define version 0.4.7
%define release 2mdk
%define name wmnd

Summary:  WindowMaker Network Devices
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Toys
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL:		http://www.hydra.ubiest.com/wmnd/
Requires:	XFree86-libs, xpm
BuildRequires:	XFree86-devel, xpm-devel
Prefix:		/usr/X11R6
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
WMND (WindowMaker Network Devices) is a network monitoring
dock app improved and based on WMiFS 1.3b. You can find the
features of WMiFS 1.3b from documents in directory WMiFS.

%prep

%setup 
# -n %{name}_%{version}

%build
# ./configure --prefix="$RPM_BUILD_ROOT"%{prefix}/
%configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar xOjf %SOURCE1 %{name}-16x16.png > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
tar xOjf %SOURCE1 %{name}-32x32.png > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
tar xOjf %SOURCE1 %{name}-48x48.png > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
# mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}

install -m 755 src/wmnd $RPM_BUILD_ROOT%{_bindir}/wmnd
bzip2 -c doc/wmnd.1 > $RPM_BUILD_ROOT%{_mandir}/man1/wmnd.1.bz2

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png"\\
                 needs="X11" section="Applications/Monitoring" title="Wmnd"\\
                 longtitle="Network monitoring dock app"
EOF


%clean
[ -z $RPM_BUILD_ROOT ] || {
    rm -rf $RPM_BUILD_ROOT
}


%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr (-,root,root)
%doc examples/wmndrc NEWS AUTHORS INSTALL README TODO ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-2mdk
- rebuild

* Mon Jun 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7

* Mon May 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-2mdk
- rebuild

* Tue Oct 08 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.3-1mdk
- 0.4.3

* Fri Jun 21 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.2-1mdk
- 0.4.2
- Update URL
- png icons (out xpm!)
- %%{_prefix} in /usr
- cleanup

* Fri Aug 31 2001 Etienne Faure <etienne@mandrakesoft.com> 0.2.2-1mdk
- version 0.2.2

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0pr3-1mdk
- new in contribs

* Thu Dec 21 2000 HA Quc-Vit <viet@mandrakesoft.com> 0.2.0pr3-0mdk
- Initial release.
